<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaPluginConvention (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaPluginConvention (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/JavaPluginConvention.html" target="_top">Frames</a></li>
<li><a href="JavaPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins</div>
<h2 title="Class JavaPluginConvention" class="title">Class JavaPluginConvention</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.JavaPluginConvention</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">JavaPluginConvention</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Is mixed into the project when applying the <a href="../../../../org/gradle/api/plugins/JavaBasePlugin.html" title="class in org.gradle.api.plugins"><code>JavaBasePlugin</code></a> or the
 <a href="../../../../org/gradle/api/plugins/JavaPlugin.html" title="class in org.gradle.api.plugins"><code>JavaPlugin</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#JavaPluginConvention(org.gradle.api.internal.project.ProjectInternal,%20org.gradle.internal.reflect.Instantiator)">JavaPluginConvention</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project,
                    org.gradle.internal.reflect.Instantiator&nbsp;instantiator)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getDocsDir()">getDocsDir</a></strong>()</code>
<div class="block">Returns a file pointing to the root directory supposed to be used for all docs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getDocsDirName()">getDocsDirName</a></strong>()</code>
<div class="block">The name of the docs directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.gradle.api.internal.project.ProjectInternal</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getProject()">getProject</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getSourceCompatibility()">getSourceCompatibility</a></strong>()</code>
<div class="block">Returns the source compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks">SourceSetContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getSourceSets()">getSourceSets</a></strong>()</code>
<div class="block">The source sets container.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getTargetCompatibility()">getTargetCompatibility</a></strong>()</code>
<div class="block">Returns the target compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getTestReportDir()">getTestReportDir</a></strong>()</code>
<div class="block">Returns a file pointing to the root directory to be used for reports.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getTestReportDirName()">getTestReportDirName</a></strong>()</code>
<div class="block">The name of the test reports directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getTestResultsDir()">getTestResultsDir</a></strong>()</code>
<div class="block">Returns a file pointing to the root directory of the test results.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#getTestResultsDirName()">getTestResultsDirName</a></strong>()</code>
<div class="block">The name of the test results directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#manifest()">manifest</a></strong>()</code>
<div class="block">Creates a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#manifest(org.gradle.api.Action)">manifest</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&gt;&nbsp;action)</code>
<div class="block">Creates and configures a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#manifest(groovy.lang.Closure)">manifest</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Creates and configures a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setDocsDirName(java.lang.String)">setDocsDirName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docsDirName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setSourceCompatibility(org.gradle.api.JavaVersion)">setSourceCompatibility</a></strong>(<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;value)</code>
<div class="block">Sets the source compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setSourceCompatibility(java.lang.Object)">setSourceCompatibility</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Sets the source compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setTargetCompatibility(org.gradle.api.JavaVersion)">setTargetCompatibility</a></strong>(<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;value)</code>
<div class="block">Sets the target compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setTargetCompatibility(java.lang.Object)">setTargetCompatibility</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Sets the target compatibility used for compiling Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setTestReportDirName(java.lang.String)">setTestReportDirName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testReportDirName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#setTestResultsDirName(java.lang.String)">setTestResultsDirName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testResultsDirName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html#sourceSets(groovy.lang.Closure)">sourceSets</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures the source sets of this project.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JavaPluginConvention(org.gradle.api.internal.project.ProjectInternal, org.gradle.internal.reflect.Instantiator)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JavaPluginConvention</h4>
<pre>public&nbsp;JavaPluginConvention(org.gradle.api.internal.project.ProjectInternal&nbsp;project,
                    org.gradle.internal.reflect.Instantiator&nbsp;instantiator)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="sourceSets(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sourceSets</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;sourceSets(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures the source sets of this project.

 <p>The given closure is executed to configure the <a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><code>SourceSetContainer</code></a>. The <a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks"><code>SourceSetContainer</code></a>
 is passed to the closure as its delegate.
 <p>
 See the example below how <a href="../../../../org/gradle/api/tasks/SourceSet.html" title="interface in org.gradle.api.tasks"><code>SourceSet</code></a> 'main' is accessed and how the <a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file"><code>SourceDirectorySet</code></a> 'java'
 is configured to exclude some package from compilation.

 <pre class='autoTested'>
 apply plugin: 'java'

 sourceSets {
   main {
     java {
       exclude 'some/unwanted/package/**'
     }
   }
 }
 </pre></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to execute.</dd>
<dt><span class="strong">Returns:</span></dt><dd>NamedDomainObjectContainer&lt;org.gradle.api.tasks.SourceSet&gt;</dd></dl>
</li>
</ul>
<a name="getDocsDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocsDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDocsDir()</pre>
<div class="block">Returns a file pointing to the root directory supposed to be used for all docs.</div>
</li>
</ul>
<a name="getTestResultsDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestResultsDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getTestResultsDir()</pre>
<div class="block">Returns a file pointing to the root directory of the test results.</div>
</li>
</ul>
<a name="getTestReportDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestReportDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getTestReportDir()</pre>
<div class="block">Returns a file pointing to the root directory to be used for reports.</div>
</li>
</ul>
<a name="getSourceCompatibility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceCompatibility</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;getSourceCompatibility()</pre>
<div class="block">Returns the source compatibility used for compiling Java sources.</div>
</li>
</ul>
<a name="setSourceCompatibility(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceCompatibility</h4>
<pre>public&nbsp;void&nbsp;setSourceCompatibility(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Sets the source compatibility used for compiling Java sources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - The value for the source compatibility as defined by <a href="../../../../org/gradle/api/JavaVersion.html#toVersion(java.lang.Object)"><code>JavaVersion.toVersion(Object)</code></a></dd></dl>
</li>
</ul>
<a name="setSourceCompatibility(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceCompatibility</h4>
<pre>public&nbsp;void&nbsp;setSourceCompatibility(<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;value)</pre>
<div class="block">Sets the source compatibility used for compiling Java sources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - The value for the source compatibility</dd></dl>
</li>
</ul>
<a name="getTargetCompatibility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetCompatibility</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;getTargetCompatibility()</pre>
<div class="block">Returns the target compatibility used for compiling Java sources.</div>
</li>
</ul>
<a name="setTargetCompatibility(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetCompatibility</h4>
<pre>public&nbsp;void&nbsp;setTargetCompatibility(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Sets the target compatibility used for compiling Java sources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - The value for the target compatibility as defined by <a href="../../../../org/gradle/api/JavaVersion.html#toVersion(java.lang.Object)"><code>JavaVersion.toVersion(Object)</code></a></dd></dl>
</li>
</ul>
<a name="setTargetCompatibility(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetCompatibility</h4>
<pre>public&nbsp;void&nbsp;setTargetCompatibility(<a href="../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;value)</pre>
<div class="block">Sets the target compatibility used for compiling Java sources.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>value</code> - The value for the target compatibility</dd></dl>
</li>
</ul>
<a name="manifest()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manifest</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;manifest()</pre>
<div class="block">Creates a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>.</div>
</li>
</ul>
<a name="manifest(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manifest</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;manifest(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Creates and configures a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>. The given closure configures
 the new manifest instance before it is returned.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to use to configure the manifest.</dd></dl>
</li>
</ul>
<a name="manifest(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manifest</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&nbsp;manifest(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives">Manifest</a>&gt;&nbsp;action)</pre>
<div class="block">Creates and configures a new instance of a <a href="../../../../org/gradle/api/java/archives/Manifest.html" title="interface in org.gradle.api.java.archives"><code>Manifest</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to use to configure the manifest.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="getDocsDirName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocsDirName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDocsDirName()</pre>
<div class="block">The name of the docs directory. Can be a name or a path relative to the build dir.</div>
</li>
</ul>
<a name="setDocsDirName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDocsDirName</h4>
<pre>public&nbsp;void&nbsp;setDocsDirName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docsDirName)</pre>
</li>
</ul>
<a name="getTestResultsDirName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestResultsDirName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTestResultsDirName()</pre>
<div class="block">The name of the test results directory. Can be a name or a path relative to the build dir.</div>
</li>
</ul>
<a name="setTestResultsDirName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestResultsDirName</h4>
<pre>public&nbsp;void&nbsp;setTestResultsDirName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testResultsDirName)</pre>
</li>
</ul>
<a name="getTestReportDirName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestReportDirName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTestReportDirName()</pre>
<div class="block">The name of the test reports directory. Can be a name or a path relative to <a href="../../../../org/gradle/api/reporting/ReportingExtension.html#getBaseDir()"><code>ReportingExtension.getBaseDir()</code></a>.</div>
</li>
</ul>
<a name="setTestReportDirName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestReportDirName</h4>
<pre>public&nbsp;void&nbsp;setTestReportDirName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testReportDirName)</pre>
</li>
</ul>
<a name="getSourceSets()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceSets</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks">SourceSetContainer</a>&nbsp;getSourceSets()</pre>
<div class="block">The source sets container.</div>
</li>
</ul>
<a name="getProject()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProject</h4>
<pre>public&nbsp;org.gradle.api.internal.project.ProjectInternal&nbsp;getProject()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/JavaPluginConvention.html" target="_top">Frames</a></li>
<li><a href="JavaPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
